{% extends "base.html" %}
{% block title %}SFP{% endblock %}
{% block content %}

<h2>SFP report</h2>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">Type</th>
      <th scope="col">Temperature [deg C]</th>
      <th scope="col">Vendor name</th>
      <th scope="col">Part number</th>
      <th scope="col">Serial number</th>
    </tr>
  </thead>
  <tbody>

  	{% for label, params in data.items()  | sort  %}
    <tr>
        <th scope="row">{{ label }}</th>
        <td>{{ params["type"] }}</td>
        <td>{{ "{:.3f}".format(params["temperature"]) }}</td>
        <td>{{ params["vendor"] }}</td>
        <td>{{ params["part_number"] }}</td>
        <td>{{ params["serial"] }}</td>
    </tr>
    {% endfor %}

  </tbody>
</table>

<hr>

<h2>Settings</h2>


  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Enable CDR</th>
        <th scope="col">CDR Rate</th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>

  {% for label, params in data.items()  | sort  %}
  {% if params["part_number"][:3] == "B04" %}
  <form method="post" class="mb-4" role=form>
  <tr>
    <th>{{label}}</th>
    <td>
      <input type="checkbox" id="cdr" name="cdr" checked>
    </td>
    <td>
      <input type="radio" id="25g" name="rate" value="25g" checked>
      <label for="25g">25.5-26G</label>
      <input type="radio" id="28g" name="rate" value="28g">
      <label for="28g">27.5-28.1G</label>
    </td>
    <td>
      <button class="btn btn-primary" type="submit" formaction="/sfp/configure/{{label}}">Update</button>
    </td>
  </tr>
  </form>
  {% endif %}
  {% endfor %}
  </tbody>
  </table>

<hr>

<form method="post" class="mb-4" role=form>
  <button class="btn btn-primary" type="submit" formaction="/sfp/reset">Reset GTY Tx/Rx &amp; PLL</button>
</form>

{% endblock %}
